Package: org.codehaus.groovy.runtime.metaclass

## [Java] Class MetaMethodIndex.Cache

- org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Cache

-     public static class MetaMethodIndex.Cache
      extends Object

  A cache of metamethods indexed by name.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `MetaMethodIndex.MetaMethodCache` | `cachedMethod` | Cached method result for normal calls
    `MetaMethodIndex.MetaMethodCache` | `cachedMethodForSuper` | Cached method result for super calls
    `MetaMethodIndex.MetaMethodCache` | `cachedStaticMethod` | Cached static method result
    `Object` | `methods` | A list of methods or a single method
    `Object` | `methodsForSuper` | Methods available for super calls
    `String` | `name` | The method name
    `Object` | `staticMethods` | Static methods for this name

  - ### Constructor Summary

    Constructors
    Constructor and description
    `Cache(String name)` Constructs a new Cache for the given method name.

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### public MetaMethodIndex.MetaMethodCache cachedMethod

      Cached method result for normal calls

    - #### public MetaMethodIndex.MetaMethodCache cachedMethodForSuper

      Cached method result for super calls

    - #### public MetaMethodIndex.MetaMethodCache cachedStaticMethod

      Cached static method result

    - #### public Object methods

      A list of methods or a single method

    - #### public Object methodsForSuper

      Methods available for super calls

    - #### public final String name

      The method name

    - #### public Object staticMethods

      Static methods for this name

  - ### Constructor Detail

    - #### public Cache(String name)

      Constructs a new Cache for the given method name.

      Parameters:
        `name` - the method name

  - ### Method Detail

    - #### public String toString()